jstrong.dev crate index
======================

This is the crate index for the [crates.jstrong.dev] alternative crate registry instance.

This repository follows the rules and layout specified in the [Cargo's Alternative Registries RFC].  
It is maintained and kept up-to-date automatically by [crates.jstrong.dev].

This index (and, by extension, the [crates.jstrong.dev] registry) allows crates to only depend on other crates stored in either this registry or [crates.io].

How to use this index ?
-----------------------

If you want to use this index, you can follow these steps:

- Edit or create the `~/.cargo/config` file, and add the following code:
```toml
[registries.jstrong-dev]
index = "https://git.jstrong.dev/jstrong/crate-index"
```
- Then, run `cargo login --registry jstrong-dev` and enter your author token.
- You can now use the registry using `cargo publish --registry jstrong-dev` or `cargo search --registry jstrong-dev`

[crates.jstrong.dev]: https://crates.jstrong.dev
[crates.io]: https://crates.io
[Cargo's Alternative Registries RFC]: https://github.com/rust-lang/rfcs/blob/master/text/2141-alternative-registries.md#registry-index-format-specification
